Subject: Re: 23.0.91; Cursor face not changing

From: Nikolaj Schumacher <[email-masked]>
Date: Tue, 18 Aug 2009 22:56:44 +0200

Sorry for the delay. I checked this again using a build from today.

On 2009-05-31, at 17:27, Adrian Robert wrote:

> On Apr 3, 2009, at 5:33 AM, Chong Yidong wrote:
>
>>> Although I am able to configure the cursor face using the usual
>>> custumization tool, the real colors/face doesn't change.
>>
>> I can't reproduce this, so it's likely a bug on NS.  Adrian, can you
>> reproduce it?
>
> I cannot.

Setting the background color seems to work now. The foreground color,  
inverse-video, and others don't stick.

> Nikolaj Schumacher added later that:
>
>> The same seems to happen for the region face.  The background color
>> reverts to ns_selection_color sometime after the custom variables are
>> read.  (It works when reading the custom settings again, later.)
>
> I looked at the code and cannot see how this could be happening.   
> The region face is set to ns_selection_color in ns-win.el, but this  
> should be overridden by .emacs read later.  This should have been  
> cleared up by David Reitter's changes around 2009-03-14, though  
> since the ChangeLog entries are incomplete it is difficult to be  
> certain when the last broken code was removed.
>
> Anyway, if you still observe these in a recent build let me know and  
> I'll go on a more thorough witch-hunt.

I've looked at this further, and it seems to work with an empty .emacs.
It fails with my configuration, because I set the frame's background  
color like this:

   (setq default-frame-alist
         '((background-color . "#040420")
           (foreground-color . "wheat")))

If I don't set the background-color, I get my customized region face.

If I manually evaluate the line after the initial frame was created,  
any additional frame uses the default ns_selection_color for the  
region. The first frame and customize-face keep my color.

Nik